import { axios } from '@/utils/request'

//  经销权 列表 有分页
export const dealerScopeList = (params) => {
  const url = `/dealerScope/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  经销权 列表 无分页
export const dealerScopeQueryList = (params) => {
  return axios({
    url: '/dealerScope/queryList',
    data: params,
    method: 'post'
  })
}
//  经销权  添加
export const dealerScopeSave = (params) => {
  return axios({
    url: '/dealerScope/addDealerScope',
    data: params,
    method: 'post'
  })
}
// 经销权 删除
export const dealerScopeDel = (params) => {
  return axios({
    url: `/dealerScope/deleteBySn/${params.sn}`,
    method: 'get'
  })
}
//  经销权  校验产品是否被包含在品牌分类中
export const dealerScopeValidProduct = (params) => {
  return axios({
    url: '/dealerScope/validProductIsIncloude',
    data: params,
    method: 'post'
  })
}
